import { Span, Context as OtelContext } from '@opentelemetry/api';
import { InstrumentationConfig } from '@opentelemetry/instrumentation';
import { Handler, Context } from 'aws-lambda';
export declare type LambdaModule = Record<string, Handler>;
export declare type RequestHook = (span: Span, hookInfo: {
    event: any;
    context: Context;
}) => void;
export declare type ResponseHook = (span: Span, hookInfo: {
    err?: Error | string | null;
    res?: any;
}) => void;
export declare type EventContextExtractor = (event: any) => OtelContext;
export interface AwsLambdaInstrumentationConfig extends InstrumentationConfig {
    requestHook?: RequestHook;
    responseHook?: ResponseHook;
    disableAwsContextPropagation?: boolean;
    eventContextExtractor?: EventContextExtractor;
}
//# sourceMappingURL=types.d.ts.map