import type * as ioredisTypes from 'ioredis';
import { InstrumentationBase, InstrumentationNodeModuleDefinition } from '@opentelemetry/instrumentation';
import { IORedisInstrumentationConfig } from './types';
export declare class IORedisInstrumentation extends InstrumentationBase<typeof ioredisTypes> {
    static readonly DB_SYSTEM = "redis";
    constructor(_config?: IORedisInstrumentationConfig);
    init(): InstrumentationNodeModuleDefinition<typeof ioredisTypes>[];
    /**
     * Patch send command internal to trace requests
     */
    private _patchSendCommand;
    private _patchConnection;
    private traceSendCommand;
    private traceConnection;
}
//# sourceMappingURL=instrumentation.d.ts.map