import { InstrumentationBase, InstrumentationNodeModuleDefinition } from '@opentelemetry/instrumentation';
import type * as mysqlTypes from 'mysql';
import { MySQLInstrumentationConfig } from './types';
export declare class MySQLInstrumentation extends InstrumentationBase<typeof mysqlTypes> {
    static readonly COMPONENT = "mysql";
    static readonly COMMON_ATTRIBUTES: {
        [x: string]: string;
    };
    constructor(config?: MySQLInstrumentationConfig);
    protected init(): InstrumentationNodeModuleDefinition<typeof mysqlTypes>[];
    private _patchCreateConnection;
    private _patchCreatePool;
    private _patchCreatePoolCluster;
    private _patchGetConnection;
    private _getConnectionCallbackPatchFn;
    private _patchQuery;
    private _patchCallbackQuery;
}
//# sourceMappingURL=instrumentation.d.ts.map